<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html#index_1"><span>1</span></a></li>
      <li><a href="globals_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="globals_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_0x78.html#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>Mscreen
: <a class="el" href="group__m17nFrame.html#ga28e8c59b7f5ada96e55ccdd4b117572c">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#ga28e8c59b7f5ada96e55ccdd4b117572c">m17n-gui.c</a>
</li>
<li>Mscript
: <a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750">character.c</a>
, <a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750">m17n-core.h</a>
</li>
<li>mscript_language_list()
: <a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe">m17n.h</a>
, <a class="el" href="language_8c.html#a333f56265a049e1310eb9cde608be5fe">language.c</a>
</li>
<li>mscript_list()
: <a class="el" href="language_8c.html#a150975e12ee3bd5cd44583555511ff7f">language.c</a>
, <a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f">m17n.h</a>
</li>
<li>Msimple_case_folding
: <a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64">character.c</a>
</li>
<li>Msingle_shift
: <a class="el" href="group__m17nConv.html#ga90fcd3bcae85d7f47e4777df484c1091">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga90fcd3bcae85d7f47e4777df484c1091">coding.c</a>
</li>
<li>Msingle_shift_7
: <a class="el" href="group__m17nConv.html#gac9db45c79652c252be19bcd00f382cc9">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gac9db45c79652c252be19bcd00f382cc9">coding.c</a>
</li>
<li>Msize
: <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60">font.c</a>
, <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60">m17n-gui.h</a>
</li>
<li>Msoft_dotted
: <a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3">character.c</a>
</li>
<li>Mspacing
: <a class="el" href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25">m17n-gui.h</a>
, <a class="el" href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25">font.c</a>
</li>
<li>Mstretch
: <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07">m17n-gui.h</a>
, <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07">font.c</a>
</li>
<li>Mstring
: <a class="el" href="group__m17nSymbol.html#ga60daf7d600a1f487862366a37c171ce5">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#ga60daf7d600a1f487862366a37c171ce5">symbol.c</a>
</li>
<li>Mstyle
: <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86">m17n-gui.h</a>
, <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86">font.c</a>
</li>
<li>Msubset
: <a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90">charset.c</a>
</li>
<li>Msubset_offset
: <a class="el" href="group__m17nCharset.html#gafcc44fe2009682c71b47f6157f07b85c">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gafcc44fe2009682c71b47f6157f07b85c">charset.c</a>
</li>
<li>Msuperset
: <a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb">charset.c</a>
, <a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb">m17n.h</a>
</li>
<li>Msymbol
: <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb">symbol.c</a>
</li>
<li>MSymbol
: <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">m17n-core.h</a>
</li>
<li>msymbol()
: <a class="el" href="group__m17nSymbol.html#ga0f19d07c2dd83d37705ca628caaf8cd1">m17n-core.h</a>
</li>
<li>msymbol_as_managing_key()
: <a class="el" href="group__m17nSymbol.html#ga48e392412c68f18ce58ec0af642d0db5">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#ga48e392412c68f18ce58ec0af642d0db5">symbol.c</a>
</li>
<li>msymbol_exist()
: <a class="el" href="group__m17nSymbol.html#ga45a60105ebaeb9c0a9c36d84acd87553">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#ga45a60105ebaeb9c0a9c36d84acd87553">symbol.c</a>
</li>
<li>msymbol_get()
: <a class="el" href="group__m17nSymbol.html#ga62c1ccf5b0a9924061d3a596ae312527">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#ga62c1ccf5b0a9924061d3a596ae312527">symbol.c</a>
</li>
<li>msymbol_get_func()
: <a class="el" href="group__m17nSymbol.html#ga6446566f8f6a53e825cea16ffbf4c3bd">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#ga6446566f8f6a53e825cea16ffbf4c3bd">symbol.c</a>
</li>
<li>msymbol_is_managing_key()
: <a class="el" href="group__m17nSymbol.html#gae590d761113d7bd7a687dbb39ac97c54">symbol.c</a>
, <a class="el" href="group__m17nSymbol.html#gae590d761113d7bd7a687dbb39ac97c54">m17n-core.h</a>
</li>
<li>msymbol_name()
: <a class="el" href="group__m17nSymbol.html#ga551d4628363900cad49a908b598b821b">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#ga551d4628363900cad49a908b598b821b">symbol.c</a>
</li>
<li>msymbol_put()
: <a class="el" href="group__m17nSymbol.html#ga9b90027677f183f65d85dac0d7d5bb9c">symbol.c</a>
, <a class="el" href="group__m17nSymbol.html#ga9b90027677f183f65d85dac0d7d5bb9c">m17n-core.h</a>
</li>
<li>msymbol_put_func()
: <a class="el" href="group__m17nSymbol.html#gaf0e0b5b8e6e0702ed87df88ad642d7f7">m17n-core.h</a>
, <a class="el" href="group__m17nSymbol.html#gaf0e0b5b8e6e0702ed87df88ad642d7f7">symbol.c</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
